## epics-base 7.0.8.1+dfsg1

=== Makefile ===
#*************************************************************************
# Copyright (c) 2002 The University of Chicago, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************

TOP = .
include $(TOP)/configure/CONFIG

# Bootstrap resolution: tools not installed yet
TOOLS = $(TOP)/src/tools

DIRS += configure src
src_DEPEND_DIRS = configure

DIRS += test
test_DEPEND_DIRS = src

DIRS += modules
modules_DEPEND_DIRS = src

include $(TOP)/configure/RULES_TOP

=== configure/Makefile ===
#*************************************************************************
# Copyright (c) 2002 UChicago Argonne LLC, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution. 
#*************************************************************************

TOP=..

include $(TOP)/configure/CONFIG

# Bootstrap resolution: tools not installed yet
TOOLS = $(TOP)/src/tools

CONFIGS += $(subst ../,,$(wildcard ../CONFIG*))
CONFIGS += $(subst ../,,$(wildcard ../os/CONFIG.*))
CONFIGS += $(subst ../,,$(wildcard ../os/CONFIG_SITE.*))

CONFIGS += $(subst ../,,$(wildcard ../RELEASE*))
CONFIGS += $(subst ../,,$(wildcard ../RULES*))

CFG += CONFIG_LIBCOM_MODULE
CFG += CONFIG_LIBCOM_VERSION

CFG += CONFIG_CA_MODULE
CFG += CONFIG_CA_VERSION

CFG += CONFIG_DATABASE_MODULE
CFG += CONFIG_DATABASE_VERSION

CFG += TOOLCHAIN.$(EPICS_HOST_ARCH).$(T_A)

include $(TOP)/configure/RULES

ifeq ($(GNU),YES)
  # Pass compiler flags to preprocessor to enable _FORTIFY_SOURCE
  TOOLCHAIN.$(EPICS_HOST_ARCH).$(T_A): CPPFLAGS += $(CFLAGS)
endif
TOOLCHAIN.$(EPICS_HOST_ARCH).$(T_A): toolchain.c
	$(PREPROCESS.cpp)

=== documentation/Makefile ===
TOP = ..
include $(TOP)/configure/CONFIG

EXPAND = Doxyfile@
EXPAND_ME += EPICS_VERSION
EXPAND_ME += EPICS_REVISION
EXPAND_ME += EPICS_MODIFICATION
EXPAND_ME += EPICS_PATCH_LEVEL
EXPAND_ME += OS_CLASS CMPLR_CLASS

HTMLS += ComponentReference.html

TARGETS += doxygen

DOXYGEN = doxygen
ME = documentation/O.$(T_A)/html
GH_FILES = $(ME)/ $(ME)/.nojekyll $(ME)/*.* $(ME)/*/*.*

include $(TOP)/configure/RULES

doxygen: Doxyfile ../mainpage.dox $(INSTALL_HTMLS)
	$(DOXYGEN)
	rsync -av $(TOP)/html/ html/

.PHONY: doxygen

commit: doxygen
	$(TOUCH) html/.nojekyll
	(cd $(TOP) && $(CURDIR)/../commit-gh.sh $(GH_FILES))

.PHONY: commit

=== modules/Makefile ===
#*************************************************************************
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************

TOP = ..
include $(TOP)/configure/CONFIG
include CONFIG_SITE.local

DIRS += libcom

DIRS += ca
ca_DEPEND_DIRS = libcom

DIRS += database
database_DEPEND_DIRS = ca

# Submodules for bundle build
SUBMODULES += pvData
pvData_DEPEND_DIRS = libcom

SUBMODULES += pvAccess
pvAccess_DEPEND_DIRS = pvData database

SUBMODULES += normativeTypes
normativeTypes_DEPEND_DIRS = pvData

SUBMODULES += pvaClient
pvaClient_DEPEND_DIRS = pvAccess normativeTypes

SUBMODULES += pvDatabase
pvDatabase_DEPEND_DIRS = pvAccess

SUBMODULES += pva2pva
pva2pva_DEPEND_DIRS = pvAccess

# Allow sites to add extra submodules
-include Makefile.local

include $(TOP)/configure/RULES_MODULES

=== src/Makefile ===
#*************************************************************************
# Copyright (c) 2008 UChicago Argonne LLC, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in the file LICENSE that is included with this distribution.
#*************************************************************************

TOP = ..
include $(TOP)/configure/CONFIG

DIRS += tools

DIRS += template/base
template/base_DEPEND_DIRS = tools

DIRS += template/ext
template/ext_DEPEND_DIRS = tools

include $(TOP)/configure/RULES_DIRS

=== modules/ca/Makefile ===
#*************************************************************************
# Copyright (c) 2002 The University of Chicago, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************

TOP = ../..
include $(TOP)/configure/CONFIG

DIRS += src

include $(TOP)/configure/RULES_DIRS

=== modules/database/Makefile ===
#*************************************************************************
# Copyright (c) 2002 The University of Chicago, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************

TOP = ../..
include $(TOP)/configure/CONFIG

DIRS += src

DIRS += test
test_DEPEND_DIRS = src

include $(TOP)/configure/RULES_DIRS

=== modules/pvAccess/Makefile ===
# Makefile for the EPICS V4 pvAccess module

TOP = .
include $(TOP)/configure/CONFIG

DIRS := configure

DIRS += src
src_DEPEND_DIRS = configure

DIRS += src/ca
src/ca_DEPEND_DIRS = src

DIRS += src/ioc
src/ioc_DEPEND_DIRS = src

DIRS += pvtoolsSrc
pvtoolsSrc_DEPEND_DIRS = src src/ca

DIRS += testApp
testApp_DEPEND_DIRS = src


DIRS += testCa
testCa_DEPEND_DIRS = src src/ca


DIRS += examples
examples_DEPEND_DIRS += src src/ca

include $(TOP)/configure/RULES_TOP

=== modules/pvDatabase/Makefile ===
#Makefile at top of application tree
TOP = .
include $(TOP)/configure/CONFIG
DIRS += configure

DIRS += src
src_DEPEND_DIRS = configure

DIRS += test
test_DEPEND_DIRS = src

include $(TOP)/configure/RULES_TOP

=== src/tools/Makefile ===
#*************************************************************************
# Copyright (c) 2012 UChicago Argonne LLC, as Operator of Argonne
#     National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in file LICENSE that is included with this distribution.
#*************************************************************************

TOP = ../..
include $(TOP)/configure/CONFIG

# Bootstrap resolution: tools not installed yet
TOOLS = $(TOP)/src/tools

PERL_MODULES += EPICS/Copy.pm
PERL_MODULES += EPICS/Path.pm
PERL_MODULES += EPICS/Release.pm
PERL_MODULES += EPICS/Readfile.pm
PERL_MODULES += EPICS/Getopts.pm
PERL_MODULES += EPICS/PodHtml.pm
PERL_MODULES += EPICS/PodXHtml.pm

# This goes into lib/perl, not bin/<host>
PERL_MODULES += EpicsHostArch.pl

PERL_SCRIPTS += assembleSnippets.pl
PERL_SCRIPTS += convertRelease.pl
PERL_SCRIPTS += cvsclean.pl
PERL_SCRIPTS += depclean.pl
PERL_SCRIPTS += dos2unix.pl
PERL_SCRIPTS += epicsProve.pl
PERL_SCRIPTS += expandVars.pl
PERL_SCRIPTS += fullPathName.pl
PERL_SCRIPTS += installEpics.pl
PERL_SCRIPTS += makeAPIheader.pl
PERL_SCRIPTS += makeMakefile.pl
PERL_SCRIPTS += makeTestfile.pl
PERL_SCRIPTS += mkmf.pl
PERL_SCRIPTS += munch.pl
PERL_SCRIPTS += podToHtml.pl
PERL_SCRIPTS += podRemove.pl
PERL_SCRIPTS += replaceVAR.pl
PERL_SCRIPTS += tap-to-junit-xml.pl
PERL_SCRIPTS += testFailures.pl
PERL_SCRIPTS += useManifestTool.pl
PERL_SCRIPTS += genVersionHeader.pl

PERL_SCRIPTS += makeRPath.py

HTMLS = style.css
HTMLS += EPICS/Getopts.html
HTMLS += EPICS/Path.html
HTMLS += EPICS/Readfile.html
HTMLS += fullPathName.html
HTMLS += makeAPIheader.html
HTMLS += munch.html
HTMLS += podToHtml.html
HTMLS += podRemove.html

include $(TOP)/configure/RULES

=== test/tools/Makefile ===
#*************************************************************************
# Copyright (c) 2012 UChicago Argonne LLC, as Operator of Argonne
#     National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in the file LICENSE that is included with this distribution.
#*************************************************************************

TOP = ../..
include $(TOP)/configure/CONFIG

TESTS += Snippets

TESTSCRIPTS_HOST += $(TESTS:%=%.t)

include $(TOP)/configure/RULES

=== modules/ca/src/Makefile ===
#*************************************************************************
# Copyright (c) 2008 UChicago Argonne LLC, as Operator of Argonne
#     National Laboratory.
# Copyright (c) 2002 The Regents of the University of California, as
#     Operator of Los Alamos National Laboratory.
# EPICS BASE is distributed subject to a Software License Agreement found
# in the file LICENSE that is included with this distribution.
#*************************************************************************

TOP = ../../..
include $(TOP)/configure/CONFIG

# Channel Access Client

DIRS += client

DIRS += tools
tools_DEPEND_DIRS = client

DIRS += perl
perl_DEPEND_DIRS = client

DIRS += template

include $(TOP)/configure/RULES_DIRS

=== debian/changelog ===
epics-base (7.0.8.1+dfsg1-8) unstable; urgency=medium

  * Team upload.

  [ Adrian Bunk ]
  * Backport upstream fix and build with -std=gnu17 to fix FTBFS
    with GCC 15. Closes: #1096585.

  [ Santiago Vila ]
  * d/control: Add perl-xs-dev to BD. Closes: #1102787.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Mon, 13 Oct 2025 19:10:00 +0200

epics-base (7.0.8.1+dfsg1-7) unstable; urgency=medium

  * Team upload.
  [ Niels Thykier ]
  * Remove need for root when building the package. Closes: #1089319.
  * Regenerate `debian/control` which removed Roland Mas as Uploader.

 -- Santiago Vila <sanvila@debian.org>  Fri, 03 Jan 2025 12:10:00 +0100

epics-base (7.0.8.1+dfsg1-6) unstable; urgency=medium

  * remove testServerContext (salsa and buildd) do not behave the same.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 07 Nov 2024 14:05:14 +0100

epics-base (7.0.8.1+dfsg1-5) unstable; urgency=medium

  * the previous fix was not enough

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 07 Nov 2024 12:44:23 +0100

epics-base (7.0.8.1+dfsg1-4) unstable; urgency=medium

  * real fix of the previous FTBFS

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 07 Nov 2024 09:53:27 +0100

epics-base (7.0.8.1+dfsg1-3) unstable; urgency=medium

  * Bug fix: "FTBFS (requires network interfaces)", thanks to Jochen
    Sprickerhof (Closes: #1084828).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 06 Nov 2024 17:51:22 +0100

epics-base (7.0.8.1+dfsg1-2) unstable; urgency=medium

  * Source-only upload, no changes. However, the previous version fixed
    "FTBFS on amd64: Tests failed", thanks to Sebastian Ramacher (Closes:
    #1065724).

 -- Roland Mas <lolando@debian.org>  Tue, 06 Aug 2024 22:29:33 +0200

epics-base (7.0.8.1+dfsg1-1) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * d/control: generated with the right rules target
  * Added iproute2 in order to check the network configuration

  [ Kentaro Hayashi ]
  * Fix embedded path of installed path
  * Add patch to fix epics header search path (Closes: #1059706)
  * Use xz compression by default

  [ Andrius Merkys ]
  * Strip build flags from pkgconf file.

  [ Roland Mas ]
  * New upstream release.
  * Regen debian/control.
  * Add myself to uploaders.

 -- Roland Mas <lolando@debian.org>  Fri, 26 Jul 2024 17:29:06 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT
Source: epics-base
Priority: optional
Section: science
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
 Picca Frédéric-Emmanuel <picca@debian.org>,
Build-Depends: debhelper-compat (= 13), iproute2, perl-xs-dev
Standards-Version: 4.7.2
Homepage: https://epics-controls.org/
Vcs-Browser: https://salsa.debian.org/science-team/epics-base
Vcs-Git: https://salsa.debian.org/science-team/epics-base.git

Package: libca-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libca4.14.4 (= ${binary:Version}), ${misc:Depends}
Description: EPICS channel access client library (headers)
 EPICS is the Experimental Physics and Industrial Control System.
 This is the EPICS library exposing channel access primitives for
 clients.
 .
 This package contains the header files.

Package: libcom-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcom3.23.1 (= ${binary:Version}), ${misc:Depends}
Description: EPICS common library (headers)
 EPICS is the Experimental Physics and Industrial Control System.
 Common library used by all other EPICS building blocks.
 .
 This package contains the header files.

Package: libca4.14.4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EPICS channel access client library
 EPICS is the Experimental Physics and Industrial Control System.
 This is the EPICS library exposing channel access primitives for
 clients.

Package: libcom3.23.1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EPICS common library
 EPICS is the Experimental Physics and Industrial Control System.
 Common library used by all other EPICS building blocks.

Package: epics-dev
Section: devel
Architecture: amd64 arm64
Depends:
 libcom-dev (= ${binary:Version}),
 libca-dev (= ${binary:Version}),
 ${misc:Depends}
Description: EPICS header files
 EPICS is the Experimental Physics and Industrial Control System.
 .
 This package includes the header files for EPICS.

# dbd/ bin/
Package: epics-base
Architecture: amd64 arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EPICS tools
 EPICS is the Experimental Physics and Industrial Control System.
 This package provides an extensible set of software components and tools
 with which application developers can create an industrial control system.
 This control system can be used to control accelerators, detectors,
 telescopes, or other scientific experimental equipment.
 .
 epics-base allows an arbitrary number of target systems, IOCs
 (input/output controllers), and host systems, OPIs (operator interfaces) of
 various types.
 .
 This package includes:
   Database Core Library for EPICS
   Record and Soft Device Support Library for EPICS
   caRepeater service
   DBD files

# html & documentation & READMEs
Package: epics-doc
Section: doc
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}
Description: EPICS documentation
 EPICS is the Experimental Physics and Industrial Control System.
 This control system can be used to control accelerators, detectors,
 telescopes, or other scientific experimental equipment.
 .
 This package contains the upstream documentation.

# lib/perl/
Package: libepics-perl
Section: perl
Architecture: amd64 arm64
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Description: EPICS perl module
 EPICS is the Experimental Physics and Industrial Control System.
 .
 This package contains the EPICS Perl module, including the libcap
 perl binding library.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/buildflags.mk

export DEB_CFLAGS_MAINT_APPEND = -std=gnu17

# extract the library versions
include $(CURDIR)/configure/CONFIG_CA_VERSION
include $(CURDIR)/configure/CONFIG_LIBCOM_VERSION

CA_VERSION = $(EPICS_CA_MAJOR_VERSION).$(EPICS_CA_MINOR_VERSION).$(EPICS_CA_MAINTENANCE_VERSION)
LIBCOM_VERSION = $(EPICS_LIBCOM_MAJOR_VERSION).$(EPICS_LIBCOM_MINOR_VERSION).$(EPICS_LIBCOM_MAINTENANCE_VERSION)

REL_LIB_DIR := lib/$(shell perl $(CURDIR)/src/tools/EpicsHostArch.pl)
BIN_DIR := bin/$(shell perl $(CURDIR)/src/tools/EpicsHostArch.pl)
LIB_DIR = $(CURDIR)/$(REL_LIB_DIR)

# map dpkg flags to custom EPICS internal flags, of which only CFLAGS are actioned.
export POSIX_CFLAGS+=$(CFLAGS)
export POSIX_CFLAGS+=$(CPPFLAGS)
export POSIX_CPPFLAGS+=$(CPPFLAGS)
export POSIX_LDFLAGS+=$(LDFLAGS)
# show the names of the tests to aid with failures
export HARNESS_VERBOSE=1

export LD_LIBRARY_PATH := $(LIB_DIR):$(LD_LIBRARY_PATH)

%:
	dh $@

debian/control: debian/control.in debian/rules
	echo '# This file is autogenerated. DO NOT EDIT' > debian/control
	cat debian/control.in | \
		sed -e 's/@CA_VERSION@/$(CA_VERSION)/g' \
		    -e 's/@LIBCOM_VERSION@/$(LIBCOM_VERSION)/g' \
		>> debian/control

override_dh_auto_clean: debian/control
	# display the network configuration
	ip a
	dh_auto_clean

override_dh_auto_build:
	$(MAKE) LINKER_USE_RPATH=NO FINAL_LOCATION=/usr

override_dh_auto_install:
	$(MAKE) install
	chmod u+rwX -R lib bin dbd include

override_dh_auto_test:
	$(MAKE) runtests CI=1

override_dh_install:
	dh_perl libepics-perl usr/lib/epics/
	dh_install
	dh_install -plibepics-perl lib/perl/* ./usr/lib/$(DEB_HOST_MULTIARCH)/epics/
	$(RM) debian/libepics-perl/usr/lib/$(DEB_HOST_MULTIARCH)/epics/EpicsHostArch.pl
	dh_install -pepics-base              $(REL_LIB_DIR)/libdbCore.so.*      usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -pepics-dev               $(REL_LIB_DIR)/libdbCore.so        usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -pepics-base              $(REL_LIB_DIR)/libdbRecStd.so.*    usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -pepics-dev               $(REL_LIB_DIR)/libdbRecStd.so      usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -pepics-base              $(REL_LIB_DIR)/libpvAccess.so.*    usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -pepics-base              $(REL_LIB_DIR)/libpvAccessCA.so.*  usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -pepics-base              $(REL_LIB_DIR)/libpvData.so.*      usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -pepics-dev               $(REL_LIB_DIR)/libpvAccess.so      usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -pepics-dev               $(REL_LIB_DIR)/libpvAccessCA.so    usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -pepics-dev               $(REL_LIB_DIR)/libpvData.so        usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -plibca$(CA_VERSION)      $(REL_LIB_DIR)/libca.so.*          usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -plibca-dev               $(REL_LIB_DIR)/libca.so            usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -plibcom$(LIBCOM_VERSION) $(REL_LIB_DIR)/libCom.so.*         usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -plibcom-dev              $(REL_LIB_DIR)/libCom.so           usr/lib/$(DEB_HOST_MULTIARCH)

=== debian/watch ===
version=4
opts="dversionmangle=auto,repacksuffix=+dfsg1" \
https://epics.anl.gov/download/base/index.php .*/download/base/base-(\d[.\d]+)\.tar\.gz
